/*
Theme Name: SAE501 - Haty
Template: oceanwp
Author: Haty
Version: 1.0
*/

:root body {
    background-color: #C0244E;
}

:root h1 {
    color: white;
}

:root h2 {
    font-size: 28px;
}

:root body {
    font-family: 'Concert One', sans-serif;
    font-size: large;
}

/*--------------------------- Header ------------------------------ */

.LogoHeader {
    width: 75%;
}

.Header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;
    max-height: fit-content;
}

header {
    display: flex;
    background-color: #C0244E;
    box-shadow: 0px 5px 20px black;
    border-radius: 0px 0px 20px 20px;
}

#menu-header {
    list-style: none;
    display: inline-flex;
    gap: 30px;
}

.LogoDuSite {
    padding: 5px;
}

#site-navigation-wrap {
    margin-right: 20px;
}

li.search-toggle-li {
    display: none;
}

/*--------------------------- Accueil -----------------------------*/

.Intro {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 30px;
    position: relative;
}

.IntroTexte {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
    font-size: 30px;
}

.IntroTexte>h1 {
    font-size: 30px;
}

.TexteCourbeLogo {
    position: absolute;
    top: 10%;
    left: 7%;
    size: 30%;
}

.TexteCourbeVidéo {
    size: 50%;
    position: absolute;
}

.TexteCourbeVidéo text {
    fill: #FFE281;
    font-size: 13px;
    text-decoration: underline;
}

.IntroLogo {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.IntroPattes {
    margin-right: -33%;
}

.IntroLogo>svg {
    width: 75%;
}

.IntroPattes>svg {
    width: 75%;
}

.IntroRéseaux {
    position: absolute;
    bottom: 7%;
    left: 1%;
}

.Nous {
    background-color: #783F91;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.TitreQuiOnEst {
    color: white;
    margin-top: 20px;
}

.Orange {
    color: #F7C41C;
}

.Jaune {
    color: #FFE281;
}

.Lavande {
    color: #E3A3FF;
}

.Blanc {
    color: white;
}

.TraitDroite {
    position: absolute;
    right: 0;
}

.TraitGauche {
    position: absolute;
    left: 0;
}

.NosFonctions {
    display: flex;
    padding-top: 32px;
    margin-bottom: 16px;
}

.Chibi {
    max-height: 200px;
    max-width: 200px;
    background-color: white;
    padding: 20px;
    border-radius: 100%;
}

.NosFonctions {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 30px;
}

.ChibiLigne {
    display: flex;
    justify-content: center;
    flex-direction: row;
    gap: 50px;
}

#Nom {
    color: black;
    background-color: white;
    padding: 10px;
    border-radius: 10px;
    text-align: center;
    margin-top: -15px;
}

.Célia,
.Anthony,
.Yanis,
.Benjamin,
.Damien {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 4px;
    position: relative;
}

.Rôle {
    position: absolute;
    top: -30px;
    left: -10px;
    width: 110%;
    height: 110%;
    z-index: 10;
    pointer-events: none;
    display: none;
}

.TexteCourbe {
    position: absolute;
    top: -50px;
    left: -50px;
}

.TexteCourbe text {
    fill: white;
}

.Anthony>#Nom {
    color: #C0244E;
}

.Benjamin>#Nom {
    color: #C0244E;
}

.Yanis>#Nom {
    color: #783F91;
}

.Célia>#Nom {
    color: #783F91;
}

.Damien>#Nom {
    color: #783F91;
}

#Vagues {
    background-color: white;
}

.VaguesViolettes {
    margin-top: -5px;
    margin-left: -60px;
    width: 110%;
}

.Créations {
    background-color: white;
    position: relative;
}

.TitreCréations {
    align-self: center;
    justify-self: center;
    color: #C0244E;
    padding: 16px;
}

.DécoRoseCréations {
    position: absolute;
    right: 0;
}

.TitreSections {
    text-align: center;
    font-size: 40px;
    margin-bottom: 40px;
    color: white;
}

.TitreSectionsCréations {
    text-align: center;
    font-size: 40px;
    margin-bottom: 40px;
    color: #C0244E;
}

.GrilleCreations {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    max-width: 1200px;
    margin: 0 auto;
    padding: 50px 20px;
}

.GrilleCreations a.CreationCard {
    background-color: #F2F2F2;
    background-size: cover;
    background-position: center;
    aspect-ratio: 16/9;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: transform 0.3s;
    position: relative;
    overflow: hidden;
}

.CreationCard:hover {
    transform: scale(1.05);
}

.TitreProjet {
    background-color: rgba(255, 255, 255, 0.9);
    color: #C0244E;
    padding: 10px 20px;
    border-radius: 30px;
    font-weight: bold;
    font-size: 1.2em;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.CreationCard img {
    display: none;
}

.Services {
    background-color: #C0244E;
    padding: 60px 20px;
    color: white;
}

.ServiceUnique {
    flex-direction: column;
    display: flex;
    justify-items: center;
    align-items: center;
}

.ListeServices {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.ServiceItem {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 8px;
    padding: 15px 25px;
    border-radius: 50px;
}

.Valeurs {
    padding: 60px 10%;
    color: white;
    background-color: #783F91;
}

.ConteneurValeurs {
    display: flex;
    justify-content: space-around;
    gap: 30px;
}

.ValeurBloc {
    padding: 32px 8px 32px 8px;
    border: solid 1px white;
    border-radius: 16px;
    text-align: center;
    flex: 1;
}

.Confiance {
    background-color: white;
    padding: 60px 20px;
    text-align: center;
}

.Confiance .TitreSections {
    color: #C0244E;
}

.LogosConfiance {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 50px;
    margin-bottom: 40px;
    color: #783F91;
    font-weight: bold;
    font-size: 24px;
}

.LogosEntreprises {
    display: flex;
    gap: 64px;
}

.BoutonAvis {
    background-color: #F7C41C;
    color: black;
    padding: 15px 30px;
    border-radius: 10px;
    text-decoration: none;
    display: inline-block;
}

.PiedDePage {
    background-color: #1A1A1A;
    color: white;
    padding: 50px 10%;
}

.FooterColonnes {
    display: flex;
    justify-content: space-between;
}

.ColFooter h4 {
    color: #F7C41C;
    margin-bottom: 20px;
    text-transform: uppercase;
}

.ColFooter ul {
    list-style: none;
    padding: 0;
}

.ColFooter li {
    margin-bottom: 10px;
    font-size: 14px;
}

/* ------------ Projets ------------*/

.Projet {
    background-color: white;
}

.contenu-projet-detail {
    background-color: white;
    padding-bottom: 80px;
    font-family: 'Concert One', sans-serif;
}

.projet-banniere {
    position: relative;
    width: 100%;
    height: 400px;
    overflow: hidden;
    margin-bottom: 60px;
}

.projet-banniere img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

h1.projet-titre-principal {
    position: absolute;
    top: 150px;
    left: 50%;
    transform: translateX(-50%);
    background-color: white;
    color: #783F91;
    padding: 4px 16px;
    border-radius: 20px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    font-size: 2.5em;
    white-space: nowrap;
}

.projet-layout {
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    flex-direction: column;
    gap: 80px;
}

.projet-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 64px;
    align-items: center;
}

.bloc-texte {
    padding: 40px;
    border-radius: 20px;
    color: white;
    position: relative;
    border: 3px dashed white;
    box-shadow: 0 0 0 5px var(--bg-color);
    margin: 5px;
}

.bloc-texte h2,
.bloc-texte h3 {
    color: white;
    margin-top: 0;
    font-size: 1.8em;
}

.texte-contenu p {
    font-size: 1.1em;
    line-height: 1.5;
}

.bloc-rose {
    background-color: #C0244E;
    --bg-color: #C0244E;
}

.bloc-violet {
    background-color: #783F91;
    --bg-color: #783F91;
}

.bloc-jaune {
    background-color: #FFE281;
    --bg-color: #FFE281;
    color: #333;
}

.bloc-jaune h2,
.bloc-jaune p {
    color: #333;
}

.bloc-jaune {
    border-color: #333;
}

.galerie-vrac,
.galerie-alignee {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
}

.galerie-vrac img {
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border: 4px solid white;
}

.galerie-alignee img {
    border-radius: 10px;
    object-fit: cover;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border: 4px solid white;
}

.projet-equipe {
    text-align: center;
    margin-top: 50px;
}

.equipe-contenu {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

/* ------------ Contact ----------- */

.wpcf7 p {
    margin: 0;
    padding: 0;
}

.wpcf7-form-control-wrap {
    width: 100%;
}

.form-rdv-structure {
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.input-group {
    display: flex;
    align-items: center;
    border: 1px solid #eee;
    border-radius: 10px;
    padding: 5px 15px;
    background-color: #F9F9F9;
    position: relative;
}

.icon-input {
    font-size: 1.2em;
    margin-right: 10px;
    flex-shrink: 0;
}

.wpcf7 select.custom-select {
    width: 100%;
    border: none;
    background: transparent;
    padding: 10px;
    font-size: 1em;
    color: #333;
    outline: none;
    cursor: pointer;
    -webkit-appearance: none;
    appearance: none;
}

.input-group.rose-bg {
    background-color: #C0244E;
    border-color: #C0244E;
}

.input-group.rose-bg .icon-input,
.input-group.rose-bg select.custom-select {
    color: white;
}

.input-group.rose-bg select option {
    color: #333;
    background: white;
}

.submit-container {
    text-align: center;
    margin-top: 10px;
}

input.wpcf7-submit {
    margin-top: 30px !important;
    border-radius: 12px !important;
    color: white !important;
    background-color: #C0244E !important;
    border: none !important;
    padding: 12px 40px !important;
    font-size: 1.1em !important;
    cursor: pointer;
    transition: background 0.3s ease;
}

input.wpcf7-submit:hover {
    background-color: #783F91 !important;
}

.wpcf7-response-output {
    font-size: 0.9em;
    border-radius: 10px;
    padding: 10px !important;
    margin: 20px 30px !important;
    text-align: center;
}

.col-illustration {
    flex: 1;
    min-width: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center; 
}

.svg-team-container {
    width: 100%;    
    display: flex;  
    justify-content: center;
}

.svg-team-container svg {
    width: 100% !important;      
    height: auto !important;     
    max-width: none !important;
    min-width: 400px; 
    display: block;
}

.col-formulaire {
    flex: 1;
    display: flex;
    flex-direction: column; 
    justify-content: center;
    align-items: center;     
}

.contenu-contact {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 50px;
    width: 100%;
}

.page-contact-wrapper {
    background-color: white !important;
    background-image:
        url('http://yanis-wintenberger.fr/wp-content/uploads/2026/01/Motif-fond-page-contact.png'),
        url('http://yanis-wintenberger.fr/wp-content/uploads/2026/01/Motif-fond-page-contact.png');
    background-repeat: repeat, repeat;
    background-position: 0 0, 75px 75px;
    background-size: 150px 100px;
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px 20px;
    position: relative;
}

.header-carte h2 {
    color: #783F91 !important;
    margin: 0;
    font-size: 1.8em; 
    font-weight: bold;
    background-color: transparent !important;
}

.header-carte {
    text-align: center;
}

/* ------------ Footer ----------- */

.site-footer-custom {
    background-color: #3F4E57;
    padding-top: 60px;
    border-top: 1px solid #eee; 
    font-family: sans-serif; 
}

.footer-content-wrapper {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
}

.footer-col {
    flex: 1; 
    min-width: 150px;
}

.col-logo {
    flex: 1.5;
}
.footer-logo {
    max-width: 120px;
    margin-bottom: 20px;
}

.footer-col h4 {
    color: #ffffff; 
    font-weight: bold;
    margin-bottom: 25px;
    font-size: 1.2em;
}

.footer-col ul {
    list-style: none; 
    padding: 0;
    margin: 0;
}

.footer-col li {
    margin-bottom: 12px;
}

.footer-col li a {
    text-decoration: none;
    color: #ffffff; 
    font-size: 0.95em;
    transition: color 0.3s;
}

.footer-copyright {
    margin-top: 60px;
    padding: 20px;
    text-align: center;
    border-top: 1px solid #f2f2f2;
    color: #999;
    font-size: 0.9em;
}

/* ------------ Reponsive ----------- */

@media screen and (max-width: 1024px) {
    .Intro {
        grid-template-columns: 1fr 1fr;
    }

    .IntroPattes {
        display: none;
    }

    .NosFonctions {
        padding-top: 20px;
    }

    .TraitGauche,
    .TraitDroite {
        opacity: 0.3;
    }
}

@media screen and (max-width: 768px) {

    :root h2 {
        font-size: 22px;
    }

    .TitreSections,
    .TitreSectionsCréations {
        font-size: 30px;
    }

    .Intro {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .IntroTexte {
        order: 2;
    }

    .IntroLogo {
        order: 1;
        width: 100%;
    }

    .TexteCourbeLogo,
    .TexteCourbeVidéo {
        display: none;
    }

    .IntroRéseaux {
        position: relative;
        left: 0;
        bottom: 0;
        display: flex;
        justify-content: center;
        margin-top: 20px;
    }

    .ChibiLigne {
        flex-direction: column;
        gap: 30px;
    }

    .Célia,
    .Anthony,
    .Yanis,
    .Benjamin,
    .Damien {
        align-items: center;
    }

    .TraitGauche,
    .TraitDroite {
        display: none;
    }

    /* Créations */
    .GrilleCreations {
        grid-template-columns: 1fr;
        padding: 20px;
    }

    .ListeServices {
        flex-direction: column;
        align-items: center;
    }

    .ConteneurValeurs {
        flex-direction: column;
        gap: 20px;
    }

    .ValeurBloc {
        width: 100%;
    }

    .LogosConfiance {
        flex-direction: column;
        gap: 20px;
    }

    .FooterColonnes {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }

    .VaguesViolettes {
        margin-left: 0;
        width: 150%;
    }
}

@media screen and (max-width: 480px) {
    .IntroLogo>svg {
        width: 90%;
    }

    .Chibi {
        max-width: 150px;
        max-height: 150px;
    }
}

@media screen and (max-width: 1024px) {
    .GrilleCreations {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 768px) {
    .GrilleCreations {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 768px) {
    .projet-section {
        grid-template-columns: 1fr;
    }

    .section-reverse {
        display: flex;
        flex-direction: column;
    }

    .galerie-vrac img,
    .galerie-alignee img {
        width: 80%;
    }

    .projet-titre-principal {
        font-size: 1.5em;
        width: 80%;
        bottom: 10px;
    }
}

@media (max-width: 768px) {
    .footer-content-wrapper {
        flex-direction: column; 
        text-align: center;
        gap: 30px;
    }
    
    .footer-logo {
        margin: 0 auto 20px auto;
    }
}